{#
/**
 * @file
 * Default theme implementation to display a paragraph.
 *
 * Available variables:
 * - paragraph: Full paragraph entity.
 *   Only method names starting with "get", "has", or "is" and a few common
 *   methods such as "id", "label", and "bundle" are available. For example:
 *   - paragraph.getCreatedTime() will return the paragraph creation timestamp.
 *   - paragraph.id(): The paragraph ID.
 *   - paragraph.bundle(): The type of the paragraph, for example, "image" or "text".
 *   - paragraph.getOwnerId(): The user ID of the paragraph author.
 *   See Drupal\paragraphs\Entity\Paragraph for a full list of public properties
 *   and methods for the paragraph object.
 * - content: All paragraph items. Use {{ content }} to print them all,
 *   or print a subset such as {{ content.field_example }}. Use
 *   {{ content|without('field_example') }} to temporarily suppress the printing
 *   of a given child element.
 * - attributes: HTML attributes for the containing element.
 *   The attributes.class element may contain one or more of the following
 *   classes:
 *   - paragraphs: The current template type (also known as a "theming hook").
 *   - paragraphs--type-[type]: The current paragraphs type. For example, if the paragraph is an
 *     "Image" it would result in "paragraphs--type--image". Note that the machine
 *     name will often be in a short form of the human readable label.
 *   - paragraphs--view-mode--[view_mode]: The View Mode of the paragraph; for example, a
 *     preview would result in: "paragraphs--view-mode--preview", and
 *     default: "paragraphs--view-mode--default".
 * - view_mode: View mode; for example, "preview" or "full".
 * - logged_in: Flag for authenticated user status. Will be true when the
 *   current user is a logged-in member.
 * - is_admin: Flag for admin user status. Will be true when the current user
 *   is an administrator.
 *
 * Vars:
 * - list_count: Number of accordion items
 *
 * Content: List Paragraph field values
 * - field_list_items: List of paragraphs content to display(field_media,field_wysiwyg)
 *
 * @see template_preprocess_paragraph()
 *
 * @ingroup themeable
 */
#}
{%
  set classes = [
    'paragraph',
    'paragraph--type--' ~ paragraph.bundle|clean_class,
    view_mode ? 'paragraph--view-mode--' ~ view_mode|clean_class,
    not paragraph.isPublished() ? 'paragraph--unpublished',
    'accordion'
  ]
%}
{% set accordionID = 'accordion' ~ paragraph.id() %}

{% block paragraph %}
  <div{{ attributes.addClass(classes) }} id="{{ accordionID }}">
    {% block content %}
      {% for key, item in content.field_accordion_items if key|first != '#' %}

        {% set headingID = 'heading' ~ item['#paragraph'].id()|clean_class %}
        {% set collapseID = 'collapse' ~ item['#paragraph'].id()|clean_class %}
        <div class="accordion-item">
          {# 
            ! uncomment for first item to be open by default ! 
          #}
          {#% if loop.first %}
            <h2 class="accordion-header" id="{{ headingID }}">
              <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#{{ collapseID }}" aria-expanded="true" aria-controls="{{ collapseID }}">
                {{ item['#paragraph'].field_accordion_item_title[0].value|raw }}
              </button>
            </h2>
            <div id="{{ collapseID }}" class="accordion-collapse collapse show" aria-labelledby="{{ headingID }}" data-bs-parent="#{{ accordionID }}">
              <div class="accordion-body">
                {{ item['#paragraph'].field_accordion_item_body[0].value|raw }}
              </div>
            </div>
          {% else %#}
            <h2 class="accordion-header" id="{{ headingID }}">
              <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#{{ collapseID }}" aria-expanded="false" aria-controls="{{ collapseID }}">
                {{ item['#paragraph'].field_accordion_item_title[0].value|raw }}
              </button>
            </h2>
            <div id="{{ collapseID }}" class="accordion-collapse collapse" aria-labelledby="{{ headingID }}">
              <div class="accordion-body">
                {{ item['#paragraph'].field_accordion_item_body[0].value|raw }}
              </div>
            </div>
          {#% endif %#}
        </div>

      {% endfor %}
    {% endblock content %}
  </div>
{% endblock paragraph %}
